import { StatsCard } from "./stats-card"
import { BenefitItem } from "./benefit-item"

export function BenefitsSection() {
  const benefits = [
    {
      title: "Real-Time Industry Analytics",
      description:
        "Gain immediate insights into the latest industry trends and demands. Our extension continuously scans and analyzes LinkedIn profiles and job postings, providing real-time data to keep you ahead in your field.",
    },
    {
      title: "Targeted Connection Building",
      description:
        "Identify and connect with potential clients or collaborators who are looking for your specific skill set. The extension can help you find the right people who are currently interested in your services, improving your networking efficiency.",
    },
    {
      title: "Competitive Analysis",
      description:
        "Keep an eye on how other freelancers in your field present themselves and what services they offer. This knowledge can help you differentiate yourself by highlighting unique skills or tailoring your offerings to fill gaps in the market.",
    },
  ]

  return (
    <section className="py-20 bg-[#161921]">
      <div className="container mx-auto">
        <div className="grid grid-cols-1 lg:grid-cols-2 gap-12 items-center">
          <StatsCard />

          <div>
            <h2 className="text-4xl font-bold mb-8">How this extension will help you in Business or Career?</h2>

            <div className="space-y-8">
              {benefits.map((benefit, index) => (
                <BenefitItem key={index} title={benefit.title} description={benefit.description} />
              ))}
            </div>
          </div>
        </div>
      </div>
    </section>
  )
}

