import { Logo } from "@/components/ui/logo"
import Link from "next/link"

export function Footer() {
  const productLinks = [
    { text: "Features", href: "/#benefits" },
    { text: "Pricing", href: "/#pricing" },
    { text: "How it Works", href: "/#how-it-works" },
    { text: "Testimonials", href: "/#testimonials" },
  ]

  const legalLinks = [
    { text: "Privacy Policy", href: "/privacy-policy" },
    { text: "Terms of Service", href: "/terms-and-conditions" },
  ]

  return (
    <footer className="bg-[#0a0b0f] py-12">
      <div className="container mx-auto">
        <div className="grid grid-cols-1 md:grid-cols-2 gap-8 mb-12">
          <div>
            <Link href="/">
              <Logo className="mb-4" />
            </Link>
            <p className="text-gray-400">
              Transform the way you network and generate leads with our powerful LinkedIn extension.
            </p>
          </div>

          <div className="grid grid-cols-1 sm:grid-cols-2 gap-8">
            <div>
              <h4 className="font-bold text-lg mb-4">Product</h4>
              <ul className="space-y-2">
                {productLinks.map((link, index) => (
                  <li key={index}>
                    <Link href={link.href} className="text-gray-400 hover:text-white transition-colors duration-200">
                      {link.text}
                    </Link>
                  </li>
                ))}
              </ul>
            </div>

            <div>
              <h4 className="font-bold text-lg mb-4">Legal</h4>
              <ul className="space-y-2">
                {legalLinks.map((link, index) => (
                  <li key={index}>
                    <Link href={link.href} className="text-gray-400 hover:text-white transition-colors duration-200">
                      {link.text}
                    </Link>
                  </li>
                ))}
              </ul>
            </div>
          </div>
        </div>

        <div className="border-t border-gray-800 pt-8 text-center text-gray-500">
          <p>© {new Date().getFullYear()} LeadzMachine. All rights reserved.</p>
        </div>
      </div>
    </footer>
  )
}

