import Image from "next/image"

export function AppPreview() {
  return (
    <div className="relative group w-full max-w-[280px] sm:max-w-[320px] md:max-w-[360px] lg:max-w-[400px] mx-auto">
      <div className="absolute -inset-0.5 bg-gradient-to-r from-purple-600 to-blue-600 rounded-lg blur-[2px] opacity-70 group-hover:opacity-100 transition-opacity duration-300"></div>
      <div className="relative bg-[#1c1f2a] rounded-lg overflow-hidden shadow-xl">
        <Image
          src="https://hebbkx1anhila5yf.public.blob.vercel-storage.com/Screenshot%202025-03-08%20184625-imHnhRDc2z0aCGJYiZP4HbkOOpQzAX.png"
          alt="LeadzMachine Interface"
          width={400}
          height={700}
          className="w-full h-auto object-contain"
          priority
        />
      </div>
    </div>
  )
}

