import { PricingCard } from "./pricing-card"

export function PricingSection() {
  const standardFeatures = [
    { text: "2 Searches A Day;" },
    { text: "10 Leads on Every Search;" },
    { text: "Full History;" },
    { text: "Less Email Correction;" },
    { text: "7 Days Trial;" },
    { text: "No Usage Report;" },
    { text: "No Future Update;" },
  ]

  const extendedFeatures = [
    { text: "300 Searches/month;" },
    { text: "Unlimited Available Leads;" },
    { text: "Full History;" },
    { text: "Full Email Correction;" },
    { text: "30 Days;" },
    { text: "Usage Report;" },
    { text: "Future Update;" },
  ]

  const premiumFeatures = [
    { text: "Unlimited Searches;" },
    { text: "Unlimited Available Leads;" },
    { text: "Full History;" },
    { text: "Full Email Correction;" },
    { text: "365 Days;" },
    { text: "Usage Report;" },
    { text: "Future Update;" },
  ]

  return (
    <section className="py-20">
      <div className="container mx-auto">
        <h2 className="text-4xl font-bold mb-16 text-center">Our programs and pricing</h2>

        <div className="grid grid-cols-1 md:grid-cols-3 gap-8">
          <div className="flex flex-col h-full">
            <PricingCard
              title="Standard"
              planName="Trial Plan"
              price="Free"
              description="Test drive our features and functionalities for two weeks, with no commitment required. Perfect for those who are just exploring or need a bit more convincing."
              features={standardFeatures}
              buttonText="Get started"
            />
          </div>

          <div className="flex flex-col h-full">
            <PricingCard
              title="Extended"
              planName="Monthly Plan"
              price="₹449"
              description="Ideal for individuals or teams looking to stay flexible. Enjoy the freedom to cancel at any time without penalties. Generating top-quality leads in an instant"
              features={extendedFeatures}
              buttonText="Buy Monthly Plan"
              buttonUrl="https://pages.razorpay.com/pl_OSVQL47MJDbLdg/view"
            />
          </div>

          <div className="flex flex-col h-full">
            <PricingCard
              title="Premium"
              planName="Yearly Plan"
              price="₹3,999"
              description="Best value for money. Commit to a year and save on the total cost of ownership. Suited for established users who are in it for the long haul."
              features={premiumFeatures}
              buttonText="Buy Yearly Plan"
              buttonUrl="https://pages.razorpay.com/pl_OSVZXOj4F7bUAO/view"
            />
          </div>
        </div>
      </div>
    </section>
  )
}

