import { Card, CardContent } from "@/components/ui/card"
import Image from "next/image"

interface TestimonialCardProps {
  name: string
  role: string
  testimonial: string
  image: string
}

export function TestimonialCard({ name, role, testimonial, image }: TestimonialCardProps) {
  return (
    <Card className="bg-[#1c1f2a] border-0 h-full">
      <CardContent className="p-6">
        <div className="flex items-center gap-4 mb-4">
          <Image
            src={image || "/placeholder.svg"}
            alt={name}
            width={64}
            height={64}
            className="rounded-full h-16 w-16 object-cover"
          />
          <div>
            <h4 className="font-bold">{name}</h4>
            <p className="text-gray-400">{role}</p>
          </div>
        </div>
        <p className="text-gray-300 text-sm">{testimonial}</p>
      </CardContent>
    </Card>
  )
}

